当前位置: 安全纵横 > 安全公告

RedHat Client Tools不安全loginAuth.pkl文件权限漏洞

更新日期:2010-06-03

受影响系统:

OpenSSL Project OpenSSL 1.0.0
OpenSSL Project OpenSSL 0.9.8

不受影响系统:

OpenSSL Project OpenSSL 1.0.0a
OpenSSL Project OpenSSL 0.9.8o

描述:

OpenSSL是一种开放源码的SSL实现,用来实现网络通信的高强度加密,现在被广泛地用于各种网络应用程序中。

OpenSSL没有正确地处理加密消息句法(CMS)结构,远程攻击者可以通过包含有OriginatorInfo元素的特制CMS结构触发无效内存地址写入或双重释放,导致执行任意代码。

<*来源:Ronald Moesbergen

链接:http://secunia.com/advisories/40000/
http://www.openssl.org/news/secadv_20100601.txt
*>

安恒安全建议:

建议使用明御WEB应用防火墙可以避免此漏洞产生的危害。

建议:厂商补丁:

OpenSSL Project
---------------
目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:

http://www.openssl.org/source/openssl-0.9.8o.tar.gz
http://www.openssl.org/source/openssl-1.0.0a.tar.gz